/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.dps;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 试卷答案
 */
public class PaperAnswerDto implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String id;//注：这里的Id对应试卷代码
    private List<SimpleQuestionDto> questions;//大题列表

    public PaperAnswerDto(String id) {
        this.id = id;
    }

    public void addQuestion(SimpleQuestionDto question) {
        if (questions == null) {
            questions = new ArrayList<>();
        }
        questions.add(question);
    }


    public PaperAnswerDto() {

    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<SimpleQuestionDto> getQuestions() {
        return questions;
    }

    public void setQuestions(List<SimpleQuestionDto> questions) {
        this.questions = questions;
    }

}